description

# TypeMirror class Null safety

A TypeMirror reflects a Dart language class, typedef, function type or type variable.

Implemented types
  - DeclarationMirror
Implementers
  - ClassMirror
  - TypedefMirror
  - TypeVariableMirror

## Constructors

TypeMirror()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
hasReflectedType → bool
  Returns true if this mirror reflects dynamic, a non-generic class or typedef, or an instantiated generic class or typedef in the current isolate. Otherwise, returns false.
  read-only
isOriginalDeclaration → bool
  Is this the original declaration of this type? [...]
  read-only
isPrivate → bool
  Whether this declaration is library private. [...]
  read-only, inherited
isTopLevel → bool
  Whether this declaration is top-level. [...]
  read-only, inherited
location → SourceLocation?
  The source location of this Dart language entity, or `null` if the entity is synthetic. [...]
  read-only, inherited
metadata → List<InstanceMirror>
  A list of the metadata associated with this declaration. [...]
  read-only, inherited
originalDeclaration → TypeMirror
  A mirror on the original declaration of this type. [...]
  read-only
owner → DeclarationMirror?
  A mirror on the owner of this Dart language entity. [...]
  read-only, inherited
qualifiedName → Symbol
  The fully-qualified name for this Dart language entity. [...]
  read-only, inherited
reflectedType → Type
  If `hasReflectedType` returns true, returns the corresponding Type. Otherwise, an UnsupportedError is thrown.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
simpleName → Symbol
  The simple name for this Dart language entity. [...]
  read-only, inherited
typeArguments → List<TypeMirror>
  An immutable list with mirrors for all type arguments for this type. [...]
  read-only
typeVariables → List<TypeVariableMirror>
  An immutable list with mirrors for all type variables for this type. [...]
  read-only

## Methods

isAssignableTo(TypeMirror other) → bool
  Checks the assignability relationship, denoted by `<=>` in the language specification. [...]
isSubtypeOf(TypeMirror other) → bool
  Checks the subtype relationship, denoted by `<:` in the language specification. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited